Bug 984790 - Intel 82599EB physical nic can't be found in seabios when assigning it to guest by pci-assign
Intel 82599EB physical nic can't be found in seabios when assigning it to gue...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Alex Williamson
Virtualization Bugs
:
Depends On: 984400
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 23:48 EDT by mazhang
Modified: 2016-09-20 00:39 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 984400
Environment:
Last Closed: 2013-08-07 23:00:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 mazhang 2013-07-15 23:55:58 EDT
host configuration:
RHEL6.5-20130712.n.0
qemu-kvm-0.12.1.2-2.378.el6.x86_64
kernel-2.6.32-398.el6.x86_64
seabios-0.6.1.2-28.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. unbind PF from host
2. bind it to pci-assign
3. boot up guest after enter seabios press "F12"
/usr/libexec/qemu-kvm \
-M pc \
-cpu SandyBridge \
-m 4G \
-smp 2,sockets=1,cores=2,threads=1,maxcpus=16 \
-enable-kvm \
-name rhel6u5 \
-uuid 990ea161-6b67-47b2-b803-19fb01d30d12 \
-smbios type=1,manufacturer='Red Hat',product='RHEV Hypervisor',version=el6,serial=koTUXQrb,uuid=feebc8fd-f8b0-4e75-abc3-e63fcdb67170 \
-k en-us \
-rtc base=localtime,clock=host,driftfix=slew \
-nodefaults \
-monitor stdio \
-qmp tcp:0:6666,server,nowait \
-boot menu=on \
-bios /usr/share/seabios/bios.bin \
-vga qxl \
-spice port=5900,disable-ticketing \
-global PIIX4_PM.disable_s3=0 \
-global PIIX4_PM.disable_s4=0 \
-drive file=/home/rhel6u5.raw,if=none,id=drive-virtio-disk0,format=raw,cache=none,werror=stop,rerror=stop,aio=threads \
-device virtio-blk-pci,scsi=off,bus=pci.0,drive=drive-virtio-disk0,id=virtio-disk0 \
-device pci-assign,host=06:00.0,id=hostnet,bootindex=1 \

Actual results:
can't found the nic in boot device list

Expected results:
can be found it in boot device list
Comment 4 mazhang 2013-07-16 02:07:32 EDT
sorry for mix you up, this bug happened on assign nic to guest by pci-assign, please check comment 2.
Comment 7 langfang 2013-07-16 04:56:16 EDT
Test this bug with 82576 nic.

Version:
# uname -r 
2.6.32-398.el6.x86_64
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.378.el6.x86_64
seabios-0.6.1.2-28.el6.x86_64

guest :win2008r2

steps as same as comment2

Resutls: hit same problem,can't found the nic in boot device list.


MY CL:
 /usr/libexec/qemu-kvm -M rhel6.5.0 -cpu Opteron_G3 -enable-kvm -m 32G -smp 16,sockets=2,cores=8,threads=1 -usb -device usb-tablet,id=input0 -name win2008r2-64 -uuid `uuidgen` -rtc base=localtime,clock=host,driftfix=slew  -device virtio-scsi-pci,bus=pci.0,addr=0x5,id=scsi0  -boot menu=on -drive file=/root/win2008r2-64-virtio.qcow2,if=none,id=drive-scsi0-0-0,media=disk,cache=none,format=qcow2,werror=stop,rerror=stop,aio=native  -device scsi-hd,drive=drive-scsi0-0-0,bus=scsi0.0,scsi-id=0,lun=0,id=flang -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=92:41:92:E0:D1:26,bus=pci.0,addr=0x6  -vnc :10 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -serial unix:/tmp/ttyS0,server,nowait -qmp tcp:0:4444,server,nowait -monitor stdio -device virtio-balloon-pci,bus=pci.0,id=balloon0  -device pci-assign,host=23:00.1,id=hostnet1

Addtional info: After guest boot up, can found the pci-assing NIC
Comment 8 Chao Yang 2013-07-16 05:09:35 EDT
(In reply to langfang from comment #7)
> Test this bug with 82576 nic.
> 
> Version:
> # uname -r 
> 2.6.32-398.el6.x86_64
> # rpm -q qemu-kvm
> qemu-kvm-0.12.1.2-2.378.el6.x86_64
> seabios-0.6.1.2-28.el6.x86_64
> 
> guest :win2008r2
> 
> steps as same as comment2
> 
> Resutls: hit same problem,can't found the nic in boot device list.
> 
> 
> MY CL:
>  /usr/libexec/qemu-kvm -M rhel6.5.0 -cpu Opteron_G3 -enable-kvm -m 32G -smp
> 16,sockets=2,cores=8,threads=1 -usb -device usb-tablet,id=input0 -name
> win2008r2-64 -uuid `uuidgen` -rtc base=localtime,clock=host,driftfix=slew 
> -device virtio-scsi-pci,bus=pci.0,addr=0x5,id=scsi0  -boot menu=on -drive
> file=/root/win2008r2-64-virtio.qcow2,if=none,id=drive-scsi0-0-0,media=disk,
> cache=none,format=qcow2,werror=stop,rerror=stop,aio=native  -device
> scsi-hd,drive=drive-scsi0-0-0,bus=scsi0.0,scsi-id=0,lun=0,id=flang -netdev
> tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device
> virtio-net-pci,netdev=hostnet0,id=virtio-net-pci0,mac=92:41:92:E0:D1:26,
> bus=pci.0,addr=0x6  -vnc :10 -global PIIX4_PM.disable_s3=0 -global
> PIIX4_PM.disable_s4=0 -serial unix:/tmp/ttyS0,server,nowait -qmp
> tcp:0:4444,server,nowait -monitor stdio -device
> virtio-balloon-pci,bus=pci.0,id=balloon0  -device
> pci-assign,host=23:00.1,id=hostnet1
> 
> Addtional info: After guest boot up, can found the pci-assing NIC

Please add romfile=/path/to/82576_PF.rom and retest. ROM file has been sent to you.
Comment 9 langfang 2013-07-16 05:42:20 EDT

> 
> Please add romfile=/path/to/82576_PF.rom and retest. ROM file has been sent
> to you.


hi,chayang
    Thanks for your reminder, tried boot guest with " -device pci-assign,romfile=/home/ipxe-808610c9.rom,host=23:00.1,id=hostnet1"


Results:not hit the problem, can be found the pci-assign NIC in boot device list

Note You need to log in before you can comment on or make changes to this bug.